<?php require_once('Connections/conn.php'); ?>
<?php session_start();
 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
      $fecha=date("Y-m-d H:i:s");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="materias.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
      $fecha=date("Y-m-d H:i:s");
  		$accion="Intento de Acceso indebido";
  		$script="materias.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  

	  
   if ( @$_POST["sql"]=="insert"){
      $filterfield="id_carrera";
	  $filter=@$_POST["id_carrera"];
   }	
   
  $filterfield1=@$_GET["filterfield1"];
  $filter1=@$_GET["filter1"]; 
	  
  $id_carrera=$_GET["id_carrera"];
  $pensum=$_GET["pensum"];	
  $tipo_materias=$_GET["tipo_materias"];
  $mencion=$tipo_materias;
  
  $nivel="CP";
  if($tipo_materias=="CIU"){
     $nivel="CIU";
	 $mencion="COMUN";
	 $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
  }	 
  if($tipo_materias=="CG"){
     $nivel="CG";
	 $mencion="COMUN";
	 $nombre_mencion="COMPONENTE GENERAL";
  }	 
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
   // Obtiene el ID del alumno (id_alumno)
  $sql = "select nombre_carrera from carreras where id_carrera='$id_carrera'";
  $rs=mysql_query($sql, $conn);
  $row = mysql_fetch_assoc($rs);	
  $reg=mysql_num_rows($rs);		
  if ($reg != 0){
	 $nombre_carrera=$row["nombre_carrera"];
  }
  
  
  $query_menciones = "select nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion' ORDER BY nombre_mencion";
  $rs=mysql_query($query_menciones, $conn);
  $row = mysql_fetch_assoc($rs);	
  $reg=mysql_num_rows($rs);		
  if ($reg > 0){
	 $nombre_mencion=$row["nombre_mencion"];
  }

	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
  
?>

<html>
<head>
<title>sadce -- materias</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
	
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Unidades Curriculares</h2></td></tr></table>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 250;
  $pagerange = 65;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  
  
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }
 

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
	case "retView":
	  $id_carrera = @$_GET["id_carrera"];
	  limpiar($recid, $id_carrera);  
	  viewrec($recid);
      break;   
    case "edit":
	  editrec($recid);
      break;
	case "retorno":
	  $id_carrera = @$_GET["id_carrera"];
	  $filterfield = $filterfield1;
	  $filter = $filter1;
	  // limpiar($recid, $id_carrera);  
	  editrec($recid);
      break; 
    case "del":
      deleterec($recid);
      break;
	case "retDelete":
	  $id_carrera = @$_GET["id_carrera"];
	  limpiar($recid, $id_carrera);  
	  deleterec($recid);
      break;     
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php
function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $tipo_materias;
  global $nombre_carrera;
  global $nombre_mencion;
  

  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td class="bd1"><b>CARRERA:</b> <?php echo $nombre_carrera ?>&nbsp;&nbsp;<b>PENSUM:</b>&nbsp;<?php echo $pensum?></td></tr>
<tr><td class="bd1"><b>MENCI&Oacute;N:</b> <?php echo $nombre_mencion ?></td></tr>

<tr><td class="bd1"><b>TOTAL UNIDADES CURRICULARES:</b>&nbsp;&nbsp;<?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form name="form1" action="?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>" method="post" onSubmit="return validar_datos()">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>

<option value="<?php echo "id_materia" ?>"<?php if ($filterfield == "id_materia") { echo "selected"; } ?>><?php echo htmlspecialchars("Código") ?></option>
<option value="<?php echo "semestre" ?>"<?php if ($filterfield == "semestre") { echo "selected"; } ?>><?php echo htmlspecialchars("Semestre") ?></option>
<option value="<?php echo "tipo_materia" ?>"<?php if ($filterfield == "tipo_materia") { echo "selected"; } ?>><?php echo htmlspecialchars("Tipo") ?></option>
<option value="<?php echo "status" ?>"<?php if ($filterfield == "status") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="?a=reset&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>

<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center">Nro.</td>
<td class="hr"><a class="hr" href="?order=<?php echo "id_mencion" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Mención") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "nivel" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Nivel") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "id_materia" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Código") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "nombre_materia" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Denominación de la Unidad Curricular") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "semestre" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Sem.") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "uc" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("U.C.") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "tipo_materia" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Tipo") ?></a></td>
<td class="hr"><a class="hr" href="?order=<?php echo "orden" ?>&type=<?php echo $ordtypestr ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo htmlspecialchars("Orden") ?></a></td>
</tr>
<?php
  $n=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>

<td class="<?php echo $style ?>" align="center"><a href="?a=view&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><img src="imagenes/search.gif" border="0"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="?a=edit&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>&filterfiled=<?php echo $filterfield; ?>&filter=<?php echo $filter; ?>"><img src="imagenes/edit.gif" border="0"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="?a=del&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><img src="imagenes/delete.png" border="0"></a></td>
<td class="<?php echo $style ?>" align="right"><?php echo $n; ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["id_mencion"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["nivel"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_materia"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["uc"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["tipo_materia"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["orden"]) ?></td>

</tr>
<?php
  $n++; 
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>

<?php function showrow($row, $recid)
  {
  
  if($row["nivel"]=="CIU"){
     $nombre_nivel="CURSO DE INICIACION UNIVERSITARIA";
  }
  if($row["nivel"]=="CG"){
     $nombre_nivel="COMPONENTE GENERAL";
  }
  if($row["nivel"]=="CP"){
     $nombre_nivel="CICLO PROFESIONAL";
  }
 
  
  switch ($row['tipo_materia']) {
     case "1":
      $tipo_materia='OBLIGATORIA';
      break;
    case "2":
       $tipo_materia='ELECTIVA';
      break;
    case "3":
       $tipo_materia='COMPLEMENTARIA';
      break;
   }
   
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="4" width="60%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la Mención")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_mencion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_nivel ?></td>
</tr>
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Créditos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["uc"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Orden")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["orden"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Prácticas")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["hp"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Teóricas")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["ht"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Total Horas")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["ths"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo $tipo_materia; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  //$conn=connect();
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  // Obtiene el ID del alumno (id_alumno)
  
  $id_carrera=$row["id_carrera"];
  $id_mencion=$row["id_mencion"];
  
  $query_rst_menciones = "SELECT id_mencion, nombre_mencion FROM menciones WHERE id_carrera='$id_carrera'";
  $rst_menciones = mysql_query($query_rst_menciones, $conn) or die(mysql_error());
  $row_rst_menciones = mysql_fetch_assoc($rst_menciones);
  $totalRows_menciones = mysql_num_rows($rst_menciones);
 
  
  $query_rst_menciones1 = "SELECT id_mencion, nombre_mencion FROM menciones WHERE                            id_carrera='$id_carrera' and id_mencion='$id_mencion'";
  $rst_menciones1 = mysql_query($query_rst_menciones1, $conn) or die(mysql_error());
  $row_rst_menciones1 = mysql_fetch_assoc($rst_menciones1);
  $totalRows_menciones1 = mysql_num_rows($rst_menciones1);
  if($totalRows_menciones1!=0){
     $nombre_mencion=$row_rst_menciones1["nombre_mencion"];
  }
  else{
     $nombre_mencion="COMUN";
  }	 
	
  if($row["nivel"]=="CIU"){
     $nombre_nivel="CURSO DE INICIACION UNIVERSITARIA";
  }
  if($row["nivel"]=="CG"){
     $nombre_nivel="COMPONENTE GENERAL";
  }
  if($row["nivel"]=="CP"){
     $nombre_nivel="CICLO PROFESIONAL";
  }
 
 switch ($row['tipo_materia']) {
     case "1":
      $tipo_materia='OBLIGATORIA';
      break;
    case "2":
       $tipo_materia='ELECTIVA';
      break;
    case "3":
       $tipo_materia='COMPLEMENTARIA';
      break;
   }
 

?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la Mención")."&nbsp;" ?></td>
<td class="dr"><select name="id_mencion">
  <option value="<?php echo $row['id_mencion']?>"><?php echo $nombre_mencion; ?></option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel")."&nbsp;" ?></td>
<td class="dr"><select name="nivel">
     <option value="<?php echo str_replace('"', '&quot;', trim($row["nivel"])) ?>"><?php echo $nombre_nivel; ?></option>
     </select> 
</td></td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Código Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><input name="id_materia" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["id_materia"])) ?>" size="15" maxlength="15"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><input name="nombre_materia" type="text"  value="<?php echo str_replace('"', '&quot;', trim($row["nombre_materia"])) ?>" size="80" maxlength="255">
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr">
<select name="semestre">
     <option value="<?php echo str_replace('"', '&quot;', trim($row["semestre"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["semestre"])) ?></option>
     <?php
	  if($nivel=="CIU"){
	  ?>
	     <option value="0">0</option>
	 <?php
	 }
	 if($nivel=="CG"){
	  ?> 
     <option value="1">1</option>
     <option value="2">2</option>
     <option value="3">3</option>
	 <?php
	 }
	 if($nivel=="CP"){
	  ?>
     <option value="4">4</option>
     <option value="5">5</option>
     <option value="6">6</option>
     <option value="7">7</option>
     <option value="8">8</option>
     <option value="9">9</option>
     <option value="10">10</option>
     </select> 
	 <?php
	 }
	 ?>
     </select>  
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Créditos")."&nbsp;" ?></td>
<td class="dr">
<select name="uc">
       <option value="<?php echo str_replace('"', '&quot;', trim($row["uc"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["uc"])) ?></option>
	   <option value="0">0</option>
       <option value="1">1</option>
       <option value="2">2</option>
       <option value="3">3</option>
       <option value="4">4</option>
       <option value="5">5</option>
       <option value="6">6</option>
       <option value="7">7</option>
       <option value="8">8</option>
       <option value="9">9</option>
       <option value="10">10</option>
       <option value="11">11</option>
       <option value="12">12</option>
     </select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Orden")."&nbsp;" ?></td>
<td class="dr"><input name="orden" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["orden"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Prácticas")."&nbsp;" ?></td>
<td class="dr"><input name="hp" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["hp"])) ?>" size="2" maxlength="2">
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Teóricas")."&nbsp;" ?></td>
<td class="dr"><input name="ht" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["ht"])) ?>" size="2" maxlength="2">
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Total Horas")."&nbsp;" ?></td>
<td class="dr"><input name="ths" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["ths"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>

   <td class="hr"><?php echo htmlspecialchars("Tipo de Unidad Curricular")."&nbsp;" ?></td>

   <td class="dr">
      <select name="tipo_materia" >
	      <option value="<?php echo str_replace('"', '&quot;', trim($row["tipo_materia"])) ?>"><?php echo $tipo_materia; ?></option>
	      <option value="1">OBLIGATORIA</option>
          <option value="2">ELECTIVA</option>
	      <option value="3">COMPLEMENTARIA</option>
      </select>
   </td>  
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr">
  <select name="status">
       <option value="<?php echo str_replace('"', '&quot;', trim($row["status"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["status"])) ?></option>
	   <option value="ACTIVA">ACTIVA</option>
       <option value="INACTIVA">INACTIVA</option>
  </select>
</td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $nivel;
  global $tipo_materias;
  global $nombre_mencion;
  
  //$conn=connect();
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  $query_rst_menciones = "SELECT id_mencion, nombre_mencion FROM menciones WHERE                          id_carrera='$id_carrera'";
  $rst_menciones = mysql_query($query_rst_menciones, $conn) or die(mysql_error());
  $row_rst_menciones = mysql_fetch_assoc($rst_menciones);
  $totalRows_menciones = mysql_num_rows($rst_menciones);
   
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la Mención (*)")."&nbsp;" ?></td>
<td class="dr"><select name="id_mencion">
       <option value="<?php echo $mencion; ?>"><?php echo $nombre_mencion; ?></option>
  </select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel (*)")."&nbsp;" ?></td>
<td class="dr"><select name="nivel">
     <option value="<?php echo $nivel; ?>"><?php echo $nivel; ?></option>
     </select> 
</td></td>
</tr>


<tr>
   <td class="hr"><?php echo htmlspecialchars("Semestre (*)")."&nbsp;" ?></td>
   <td class="dr">
     <select name="semestre" id="semestre">
	 <option value="99">Selecciones...</option>
	 <?php
	  if($nivel=="CIU"){
	  ?>
	     <option value="0">0</option>
	 <?php
	 }
	 if($nivel=="CG"){
	  ?> 
     <option value="1">1</option>
     <option value="2">2</option>
     <option value="3">3</option>
	 <?php
	 }
	 if($nivel=="CP"){
	  ?>
     <option value="4">4</option>
     <option value="5">5</option>
     <option value="6">6</option>
     <option value="7">7</option>
     <option value="8">8</option>
     <option value="9">9</option>
     <option value="10">10</option>
     </select> 
	 <?php
	 }
	 ?>
   
   </td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código Unidad Curricular (*)")."&nbsp;" ?></td>
<td class="dr"><input name="id_materia" type="text" onBlur="verificar('<?php echo $id_carrera; ?>','<?php echo $pensum; ?>',document.addrec.id_mencion.value,document.addrec.nivel.value,this.value,document.addrec.semestre.value,this.value)" value="<?php echo str_replace('"', '&quot;', trim($row["id_materia"])) ?>" size="10" maxlength="15">
<iframe name="comando" id="comando" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación Unidad Curricular (*)")."&nbsp;" ?></td>
<td class="dr"><textarea cols="50" rows="2" name="nombre_materia" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["nombre_materia"])) ?></textarea></td>
</tr>

<tr>
   <td class="hr"><?php echo htmlspecialchars("Unidades Crédito (*)")."&nbsp;" ?></td>
   <td class="dr">
     <select name="uc">
	   <option value="99">Seleccione...</option>
	   <option value="0">0</option>
       <option value="1">1</option>
       <option value="2">2</option>
       <option value="3">3</option>
       <option value="4">4</option>
       <option value="5">5</option>
       <option value="6">6</option>
       <option value="7">7</option>
       <option value="8">8</option>
       <option value="9">9</option>
       <option value="10">10</option>
       <option value="11">11</option>
       <option value="12">12</option>
     </select>
   </td>
</tr>
<tr>
   <td class="hr"><?php echo htmlspecialchars("Orden (*)")."&nbsp;" ?></td>
   <td class="dr"><input name="orden" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["orden"])) ?>" size="2" maxlength="3"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Prácticas")."&nbsp;" ?></td>
<td class="dr"><input name="hp" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["hp"])) ?>" size="2" maxlength="3"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Horas Teóricas")."&nbsp;" ?></td>
<td class="dr"><input name="ht" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["ht"])) ?>" size="2" maxlength="3"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Unidad Curricular (*)")."&nbsp;" ?></td>
<td class="dr">
   <select name="tipo_materia">
       <option value="0">Seleccione...</option>
	   <option value="1">OBLIGATORIA</option>
       <option value="2">ELECTIVA</option>
	   <option value="3">COMPLEMENTARIA</option>
     </select>
</td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
global $id_carrera;
global $pensum;
global $mencion;
global $tipo_materias;


?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="materias.php?a=add&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Agregar Unidad Curricular</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="materias.php?page=<?php echo $page - 1 ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;
  global $id_carrera;
  global $pensum;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="materias.php?page=<?php echo $j ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="materias.php?page=<?php echo $startpage ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="materias.php?page=<?php echo $page + 1 ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_carrera, $id_materia, $sem, $nombre, $mencion, $nivel)
{
global $id_carrera;
global $pensum;
global $mencion;
global $tipo_materias;

global $filterfield;
global $filter;

$filterfield1=$filterfield;
$filter1=$filter;


?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="materias.php?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="materias.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="materias.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">Siguiente</a></td>
<?php } ?>
<td><a href="prelaciones.php?a=reset&matVolver=<?php echo $recid; ?>&id_carrera=<?php echo $id_carrera; ?>&id_materia=<?php echo $id_materia; ?>&sem=<?php echo $sem; ?>&nombre=<?php echo $nombre; ?>&pensum=<?php echo $pensum; ?>&nivel=<?php echo $nivel; ?>&tipo_materias=<?php echo $tipo_materias; ?>&filterfield1=<?php echo $filterfield1 ?>&filter1=<?php echo $filter1 ?>">Prelaciones</a></td>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
global $id_carrera;
global $pensum;
global $mencion;
global $nivel;
global $tipo_materias;

global $nombre_carrera;
global $nombre_mencion;
?>
<table class="bd" width="100%"><tr><td class="hr">Registrando Unidad Curricular</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
  <tr><td class="bd1"><b>CARRERA:</b> <?php echo $nombre_carrera ?>&nbsp;&nbsp;<b>PENSUM:</b>       &nbsp;<?php echo $pensum?></td></tr>
  <tr><td class="bd1"><b>MENCI&Oacute;N:</b> <?php echo $nombre_mencion ?></td></tr>
  <tr><td>Los campos marcados con (*) son obligatorios </td></tr>
</table>

<td><a href="materias.php?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>">&nbsp;Regresar</a></td>
</table>
<hr size="1" noshade>
<form enctype="multipart/form-data" name="addrec" action="materias.php?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_carrera" => "",
  "id_mencion" => "",
  "pensum" => "",
  "nivel" => "",
  "id_materia" => "",
  "nombre_materia" => "",
  "semestre" => "",
  "uc" => "",
  "orden" => "",
  "hp" => "",
  "ht" => "",
  "ths" => "",
  "tipo_materia" => "",
  "status" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar" ></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $tipo_materias;
  
  global $nombre_carrera;
  global $nombre_mencion;
   
  ?>
  <table class="bd" width="100%"><tr><td class="hr">Consultando Unidad Curricular</td></tr></table>
  <table class="bd" border="0" cellspacing="1" cellpadding="4">
   <tr>
      <td class="bd1"><b>CARRERA:</b> <?php echo $nombre_carrera ?>&nbsp;&nbsp;<b>PENSUM:</b>&nbsp;<?php echo $pensum ?></td>
   </tr>
   </table>
  <?php
 
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_materia=$row['id_materia'];
  $id_carrera=$row['id_carrera'];
  $nivel=$row['nivel'];
  $mencion=$row['id_mencion'];
  $nombre="Unidad Curricular: ".$row['nombre_materia'];
  $sem=$row['semestre'];
  showrecnav("view", $recid, $count, $id_carrera, $id_materia, $sem, $nombre, $mencion, $nivel);
?>
<br>
<?php showrow($row, $recid) ?>

<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $tipo_materias;
  
  global $nombre_carrera;
  
?>
  <table class="bd" width="100%"><tr><td class="hr">Editando Unidad Curricular</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<tr><td class="bd1"><b>CARRERA:</b> <?php echo $nombre_carrera ?>&nbsp;&nbsp;<b>PENSUM:</b>&nbsp;<?php echo $pensum?></td></tr>
<?php
  
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_materia=$row['id_materia'];
  $id_carrera=$row['id_carrera'];
  $nivel=$row['nivel'];
  $mencion=$row['id_mencion'];
  $nombre=$row['nombre_materia'];
  $sem=$row['semestre'];
  showrecnav("view", $recid, $count, $id_carrera, $id_materia, $sem, $nombre, $mencion, $nivel);
?>
<br>
<form name="editrec" enctype="multipart/form-data" action="materias.php?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $tipo_materias;
  
  global $nombre_carrera;
  global $nombre_mencion;
  
  ?>
  <table class="bd" width="100%"><tr><td class="hr">Eliminando Unidad Curricular</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<tr><td class="bd1"><b>CARRERA:</b> <?php echo $nombre_carrera ?>&nbsp;&nbsp;<b>PENSUM:</b>&nbsp;<?php echo $pensum?></td></tr>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_materia=$row['id_materia'];
  $id_carrera=$row['id_carrera'];
  $nivel=$row['nivel'];
  $mencion=$row['mencion'];
  $nombre="Unidad Curricular: ".$row['nombre_materia'];
  $sem=$row['semestre'];
  showrecnav("view", $recid, $count, $id_carrera, $id_materia, $sem, $nombre, $mencion, $nivel);
?>
<br>
<form action="materias.php?id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&tipo_materias=<?php echo $tipo_materias; ?>" name="delrec" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $nivel;
 
  $filterall="%COMUN%";
  $filterall=sqlstr($filterall);
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT * FROM `materias` where id_carrera='$id_carrera' and pensum='$pensum' and id_mencion='$mencion' and nivel='$nivel'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') { 
       $sql .= " AND " .sqlstr($filterfield) ." like '" .$filterstr ."'";

  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " AND (`id_carrera` like '" .$filterstr ."') or (`id_mencion` like '" .$filterstr ."') or (`pensum` like '" .$filterstr ."') or (`nivel` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`nombre_materia` like '" .$filterstr ."') or (`semestre` like '" .$filterstr ."') or (`uc` like '" .$filterstr ."') or (`orden` like '" .$filterstr ."') or (`ht` like '" .$filterstr ."') or (`hp` like '" .$filterstr ."') or (`ths` like '" .$filterstr ."') or (`tipo_materia` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
 
  $sql .= " order by semestre,nombre_materia";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_carrera;
  global $pensum;
  global $mencion;
  global $nivel;
  
  $filterall="%COMUN%";
  $filterall=sqlstr($filterall);
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `materias` where id_carrera='$id_carrera' and pensum='$pensum' and id_mencion='$mencion' and nivel='$nivel'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') { 
       $sql .= " AND " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " AND (`id_carrera` like '" .$filterstr ."') or (`id_mencion` like '" .$filterstr ."') or (`pensum` like '" .$filterstr ."') or (`nivel` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`nombre_materia` like '" .$filterstr ."') or (`semestre` like '" .$filterstr ."') or (`uc` like '" .$filterstr ."') or (`orden` like '" .$filterstr ."') or (`ht` like '" .$filterstr ."') or (`hp` like '" .$filterstr ."') or (`ths` like '" .$filterstr ."') or (`tipo_materia` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $id_carrera;
  global $pensum;
  
  $ths=@$_POST["hp"]+@$_POST["ht"];

  $sql = "insert into `materias` (`id_carrera`, `pensum`, `id_mencion`, `nivel`, `id_materia`, `nombre_materia`, `semestre`, `uc`, `orden`, `hp`, `ht`, `ths`, `tipo_materia`, `status`) values ('$id_carrera', '$pensum', " .sqlvalue(@$_POST["id_mencion"], true).", " .sqlvalue(@$_POST["nivel"], true).", " .sqlvalue(@$_POST["id_materia"], true).", " .sqlvalue(@$_POST["nombre_materia"], true).", " .sqlvalue(@$_POST["semestre"], false).", " .sqlvalue(@$_POST["uc"], false).", " .sqlvalue(@$_POST["orden"], false).", " .sqlvalue(@$_POST["hp"], false).", " .sqlvalue(@$_POST["ht"], false).", '$ths', " .sqlvalue(@$_POST["tipo_materia"], true).", 'ACTIVA')";
  mysql_query($sql, $conn)  or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;
  $hts=@$_POST["hp"]+@$_POST["ht"];
  $sql = "update `materias` set  `nombre_materia`=" .sqlvalue(@$_POST["nombre_materia"], true).", `semestre`=" .sqlvalue(@$_POST["semestre"], false).", `uc`=" .sqlvalue(@$_POST["uc"], false).", `orden`=" .sqlvalue(@$_POST["orden"], false).", `hp`=" .sqlvalue(@$_POST["hp"], false).", `ht`=" .sqlvalue(@$_POST["ht"], false).", `ths`='$hts', `tipo_materia`=" .sqlvalue(@$_POST["tipo_materia"], true).", `nivel`=" .sqlvalue(@$_POST["nivel"], true).", `id_mencion`=" .sqlvalue(@$_POST["id_mencion"], true).", `status`=" .sqlvalue(@$_POST["status"], true) ." where " .primarykeycondition();

  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  
  $id_materia=@$_POST["xid_materia"];
  $id_carrera=@$_POST["xid_carrera"];
  
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM historico_notas WHERE id_materia='$id_materia' and id_carrera='$id_carrera'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Unidad Curricular " +'<<<?php echo $id_materia; ?>>>'+" no se puede borrar. Tiene calificaciones registradas."
	 	    alert(msj);
	     </script>
	 <?php
	 }
	 else {
          $sql = "delete from `materias` where " .primarykeycondition()." limit 1";
          mysql_query($sql, $conn) or die(mysql_error());
     }
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
 /* $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ")";*/
 
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ")";
  return $pk;
}

function limpiar($recid, $id_carrera)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  
    //$filterfield = @$_GET["filterfield"];
	//$field = @$_GET["field"];
    $wholeonly = "";
    $order = "";
    $ordtype = "";
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.addrec.id_mencion.value==0){
			alert("Campo <<Código de la Mención>> es obligatorio");
			document.addrec.id_mencion.focus();
			return false;
			}
	     if(document.addrec.nivel.value==0){
			alert("Campo <<Nivel>> es obligatorio");
			document.addrec.nivel.focus();
			return false;
			}	
		 if(document.addrec.id_materia.value==""){
			alert("Campo <<Código de Unidad Curricular>> es obligatorio");
			document.addrec.id_materia.focus();
			return false;
			}		
		if(document.addrec.nombre_materia.value==""){
			alert("Campo <<Denominación Unidad Curricular>> es obligatorio");
			document.addrec.nombre_materia.focus();
			return false;
			}	
		 if(document.addrec.semestre.value==99){
			alert("Campo <<Semestre>> es obligatorio");
			document.addrec.semestre.focus();
			return false;
			}	
		 if(document.addrec.uc.value==99){
			alert("Campo <<Unidades Crédito>> es obligatorio");
			document.addrec.uc.focus();
			return false;
			}	
		 if(document.addrec.orden.value==""){
			alert("Campo <<Orden>> es obligatorio");
			document.addrec.orden.focus();
			return false;
			}	
		 if(document.addrec.tipo_materia.value==0){
			alert("Campo <<Tipo de Unidad Curricular>> es obligatorio");
			document.addrec.orden.focus();
			return false;
			}										
			return true;
	}
	
function total_horas()
	{
	 	$nth=document.editrec.hp+document.editrec.ht;
		return $nth;
			}
	     
function verificar(id_carrera,pensum,id_mencion,nivel,id_materia,semestre)
{
 	if (id_materia!="0")
	 {
	 url="validar_materia.php?id_carrera="+id_carrera+"&id_materia="+id_materia+"&id_mencion="+id_mencion+"&pensum="+pensum+"&nivel="+nivel+"&semestre="+semestre;
	 comando.location=url;
	 }
    
}
</script>
